classification
Title: Document parse_headers function of http.client
Type: enhancement Stage: patch review
Components: Documentation Versions: Python 3.5, Python 3.4
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: berker.peksag, brian.curtin, demian.brecht, martin.panter, orsenthil
Priority: normal Keywords: easy, patch, patch, patch, patch

Created on 2014-04-16 16:44 by orsenthil, last changed 2019-01-18 15:49 by brian.curtin.

Pull Requests
URL Status Linked Edit
PR 11443 merged epicfaace, 2019-01-06 02:07
PR 11443 merged epicfaace, 2019-01-06 02:07
PR 11443 merged epicfaace, 2019-01-06 02:07
PR 11443 merged epicfaace, 2019-01-06 02:07
Messages (8)
msg216494 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2014-04-16 16:44
It is undocumented. While fixing a doc issue issue18229 for http.server I noticed that I referenced that function and when I looked up for the documentation, it was lacking.
msg236014 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-02-15 01:26
See also Issue 23439, about updating __all__ (or not updating __all__, as it seems to be turning into)
msg236183 - (view) Author: Demian Brecht (demian.brecht) * (Python triager) Date: 2015-02-18 16:23
Left a super minor comment in Rietveld, but otherwise LGTM.
msg236227 - (view) Author: Demian Brecht (demian.brecht) * (Python triager) Date: 2015-02-19 17:11
Ignore my previous comment. It was intended for #23439.
msg236235 - (view) Author: Demian Brecht (demian.brecht) * (Python triager) Date: 2015-02-19 22:07
And this really should likely now be closed as a duplicate of #23439.
msg236271 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-02-20 11:10
This is a different issue than #23439. BaseHTTPRequestHandler.headers documentation mentions about parse_headers function, the function itself is not documented. See https://docs.python.org/3/library/http.server.html#http.server.BaseHTTPRequestHandler.headers
msg236298 - (view) Author: Demian Brecht (demian.brecht) * (Python triager) Date: 2015-02-20 15:40
> On Feb 20, 2015, at 3:10 AM, Berker Peksag <report@bugs.python.org> wrote:
> This is a different issue than #23439. BaseHTTPRequestHandler.headers documentation mentions about parse_headers function, the function itself is not documented.

Not entirely sure what I was thinking here. I was under the impression that the docs for parse_headers had been added in the linked issue. Thanks for pointing that out.
msg333983 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2019-01-18 15:49
New changeset 478f8291327a3e3ab17b5857699565df43a9e952 by Brian Curtin (Ashwin Ramaswami) in branch 'master':
bpo-21257: document http.client.parse_headers (GH-11443)
https://github.com/python/cpython/commit/478f8291327a3e3ab17b5857699565df43a9e952
History
Date User Action Args
2019-01-18 15:49:20brian.curtinsetnosy: + brian.curtin
messages: + msg333983
2019-01-06 02:07:19epicfaacesetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request10891
2019-01-06 02:07:14epicfaacesetkeywords: + patch
stage: needs patch -> needs patch
pull_requests: + pull_request10890
2019-01-06 02:07:08epicfaacesetkeywords: + patch
stage: needs patch -> needs patch
pull_requests: + pull_request10889
2019-01-06 02:07:01epicfaacesetkeywords: + patch
stage: needs patch -> needs patch
pull_requests: + pull_request10888
2015-02-20 15:40:11demian.brechtsetmessages: + msg236298
2015-02-20 11:10:04berker.peksagsettype: behavior -> enhancement
components: + Documentation
versions: + Python 3.5, - Python 3.3
keywords: + easy
nosy: + berker.peksag

messages: + msg236271
stage: needs patch
2015-02-19 22:07:41demian.brechtsetmessages: + msg236235
2015-02-19 17:11:33demian.brechtsetmessages: + msg236227
2015-02-18 16:23:26demian.brechtsetmessages: + msg236183
2015-02-16 19:01:59demian.brechtsetnosy: + demian.brecht
2015-02-15 01:26:33martin.pantersetmessages: + msg236014
2014-04-18 01:34:05martin.pantersetnosy: + martin.panter
2014-04-16 16:44:59orsenthilcreate